---
title: List
slug: reference/Ev8I-list
docTags: 
createdAt: 2025-07-10T21:22:17.702Z
---

{
  "id": "Sgx2wm-lHNb1KWovTyeTO",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/business-unit/chargeback/quote",
    "servers": [
      {
        "url": "https://app.amberflo.io/business-unit/chargeback/quote"
      }
    ],
    "name": "List",
    "description": "List chargeback quotes",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer<int32>",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "quoteIds",
          "type": "array",
          "description": "Filter for these quotes.",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "businessUnitIds",
          "type": "array",
          "description": "Filter for these business units.",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "timeInSeconds",
          "type": "integer<int64>",
          "description": "<p>Filter for quote estimation periods including this point in time, in <a href=\"https://en.wikipedia.org/wiki/Unix_time\" target=\"_blank\">Unix time</a> (seconds).</p>"
        },
        {
          "kind": "optional",
          "name": "startTimeInSeconds",
          "type": "integer<int64>",
          "description": "<p>Filter for quote estimation periods active after (exclusive) this point in time, in <a href=\"https://en.wikipedia.org/wiki/Unix_time\" target=\"_blank\">Unix time</a> (seconds).</p>"
        },
        {
          "kind": "optional",
          "name": "endTimeInSeconds",
          "type": "integer<int64>",
          "description": "<p>Filter for qupte estimation periods active before (inclusive) this point in time, in <a href=\"https://en.wikipedia.org/wiki/Unix_time\" target=\"_blank\">Unix time</a> (seconds).</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "business_unit.chargeback_quote.query.ChargebackQuotePage.out",
            "schema": [
              {
                "name": "metadata",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.chargeback_quote.query.ChargebackQuotePageMetadata.out",
                "customType": "business_unit.chargeback_quote.query.ChargebackQuotePageMetadata.out",
                "schema": [
                  {
                    "name": "limit",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "page",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "quoteIds",
                    "kind": "optional",
                    "type": "array",
                    "description": "Filter for these quotes.",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "businessUnitIds",
                    "kind": "optional",
                    "type": "array",
                    "description": "Filter for these business units.",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "timeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Filter for quote estimation periods including this point in time, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "startTimeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Filter for quote estimation periods active after (exclusive) this point in time, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "endTimeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Filter for qupte estimation periods active before (inclusive) this point in time, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "totalRowCount",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "filteredRowCount",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "totalFilteredPages",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  }
                ]
              },
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.chargeback_quote.ChargebackQuote.out",
                "customType": "business_unit.chargeback_quote.ChargebackQuote.out[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "The id of this quote.",
                    "example": ""
                  },
                  {
                    "name": "label",
                    "kind": "required",
                    "type": "string",
                    "description": "Display label of this quote.",
                    "example": ""
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": "Description of this quote.",
                    "example": ""
                  },
                  {
                    "name": "businessUnitId",
                    "kind": "optional",
                    "type": "string",
                    "description": "The id of the business unit targetted by this quote.",
                    "example": ""
                  },
                  {
                    "name": "startTimeInSeconds",
                    "kind": "required",
                    "type": "integer<int64>",
                    "description": "The start time (inclusive) of the estimation period of this quote, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "endTimeInSeconds",
                    "kind": "required",
                    "type": "integer<int64>",
                    "description": "The end time (exclusive) of the estimation period of this quote, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "lineItems",
                    "kind": "required",
                    "type": "array",
                    "description": "The line items for this quote.",
                    "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.out",
                    "customType": "business_unit.chargeback_quote.QuoteLineItem.out[]",
                    "schema": [
                      {
                        "name": "provider",
                        "kind": "required",
                        "type": "string",
                        "description": "",
                        "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.QuotedProvider.out",
                        "customType": "business_unit.chargeback_quote.QuoteLineItem.QuotedProvider.out",
                        "schema": []
                      },
                      {
                        "name": "service",
                        "kind": "optional",
                        "type": "string",
                        "example": ""
                      },
                      {
                        "name": "meterApiName",
                        "kind": "optional",
                        "type": "string",
                        "example": ""
                      },
                      {
                        "name": "dimensions",
                        "kind": "optional",
                        "type": "map",
                        "example": "",
                        "customType": "map<string, string>",
                        "schema": []
                      },
                      {
                        "name": "pricingUnit",
                        "kind": "optional",
                        "type": "string",
                        "example": ""
                      },
                      {
                        "name": "region",
                        "kind": "optional",
                        "type": "string",
                        "example": ""
                      },
                      {
                        "name": "description",
                        "kind": "optional",
                        "type": "string",
                        "example": ""
                      },
                      {
                        "name": "usageEstimate",
                        "kind": "required",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.UsageEstimate.out",
                        "customType": "business_unit.chargeback_quote.QuoteLineItem.UsageEstimate.out",
                        "schema": [
                          {
                            "name": "perTimeUnit",
                            "kind": "optional",
                            "type": "string",
                            "description": "",
                            "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.TimeUnit.out",
                            "customType": "business_unit.chargeback_quote.QuoteLineItem.TimeUnit.out",
                            "schema": []
                          },
                          {
                            "name": "quantity",
                            "kind": "optional",
                            "type": "number",
                            "example": ""
                          }
                        ]
                      },
                      {
                        "name": "unitPrice",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.QuotedUnitPrice.out",
                        "customType": "business_unit.chargeback_quote.QuoteLineItem.QuotedUnitPrice.out",
                        "schema": [
                          {
                            "name": "type",
                            "kind": "optional",
                            "type": "string",
                            "description": "",
                            "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.PriceType.out",
                            "customType": "business_unit.chargeback_quote.QuoteLineItem.PriceType.out",
                            "schema": []
                          },
                          {
                            "name": "price",
                            "kind": "optional",
                            "type": "number",
                            "example": ""
                          }
                        ]
                      },
                      {
                        "name": "chargebackRate",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.QuotedChargebackRate.out",
                        "customType": "business_unit.chargeback_quote.QuoteLineItem.QuotedChargebackRate.out",
                        "schema": [
                          {
                            "name": "type",
                            "kind": "optional",
                            "type": "string",
                            "description": "",
                            "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.PriceType.out",
                            "customType": "business_unit.chargeback_quote.QuoteLineItem.PriceType.out",
                            "schema": []
                          },
                          {
                            "name": "rate",
                            "kind": "optional",
                            "type": "number",
                            "example": ""
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "createTimeInMillis",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "example": 0
                  },
                  {
                    "name": "updateTimeInMillis",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "example": 0
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/business_unit.chargeback_quote.query.ChargebackQuotePage.out",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "89jkSe10rxNuvM6zTELqm",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://app.amberflo.io/business-unit/chargeback/quote \\\n     --header 'accept: application/json'"
        },
        {
          "id": "nA0mq4zangii6v2gCuWBd",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/business-unit/chargeback/quote\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "nPWeI2fQN8sfHW7tUQ4Mz",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/business-unit/chargeback/quote\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "QKDhqflzxudyP8AXXt3HC",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/business-unit/chargeback/quote\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "89jkSe10rxNuvM6zTELqm"
    },
    "results": {
      "languages": [
        {
          "id": "e3FjiVWrHoqqdfdxsYsnx",
          "language": "200",
          "code": "// Successful request\n{\n  \"metadata\": {\n    \"limit\": \"\",\n    \"page\": \"\",\n    \"quoteIds\": [\n      \"\"\n    ],\n    \"businessUnitIds\": [\n      \"\"\n    ],\n    \"timeInSeconds\": \"\",\n    \"startTimeInSeconds\": \"\",\n    \"endTimeInSeconds\": \"\",\n    \"totalRowCount\": \"\",\n    \"filteredRowCount\": \"\",\n    \"totalFilteredPages\": \"\"\n  },\n  \"items\": [\n    {\n      \"id\": \"\",\n      \"label\": \"\",\n      \"description\": \"\",\n      \"businessUnitId\": \"\",\n      \"startTimeInSeconds\": \"\",\n      \"endTimeInSeconds\": \"\",\n      \"lineItems\": [\n        {\n          \"provider\": \"\",\n          \"service\": \"\",\n          \"meterApiName\": \"\",\n          \"dimensions\": \"\",\n          \"pricingUnit\": \"\",\n          \"region\": \"\",\n          \"description\": \"\",\n          \"usageEstimate\": {\n            \"perTimeUnit\": \"\",\n            \"quantity\": 0\n          },\n          \"unitPrice\": {\n            \"type\": \"\",\n            \"price\": 0\n          },\n          \"chargebackRate\": {\n            \"type\": \"\",\n            \"rate\": 0\n          }\n        }\n      ],\n      \"createTimeInMillis\": \"\",\n      \"updateTimeInMillis\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "e3FjiVWrHoqqdfdxsYsnx"
    }
  },
  "children": [
    {
      "id": "yUsKAoJB2V9FRc3co9PQl",
      "type": "paragraph",
      "children": [
        {
          "text": "List chargeback quotes",
          "id": "dcMMWp-uENyfobbOgPsLr"
        }
      ]
    }
  ]
}